Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel
Class Execution

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.Execution

    public class Execution

extends Object

This class represents an execution within the trace analysis tool. Note that no assumptions about the `TimeUnit` used for the timestamps are made (`getTin()` and `getTout()`).

Since:
  1.1
Author:
  Andre van Hoorn

Field Summary
`static String` | `NO_SESSION_ID` This constant marks that an execution has no session ID.

Constructor Summary
`Execution(Operation op, AllocationComponent allocationComponent, long traceId, int eoi, int ess, long tin, long tout, boolean assumed)` Creates a new Execution instance.
`Execution(Operation op, AllocationComponent allocationComponent, long traceId, String sessionId, int eoi, int ess, long tin, long tout, boolean assumed)` Creates a new Execution instance.

Method Summary
`boolean` | `equals(Object obj)` Compares this `Execution` with the given object with respect to type and fields.
`AllocationComponent` | `getAllocationComponent()`
`int` | `getEoi()`
`int` | `getEss()`
`Operation` | `getOperation()`
`String` | `getSessionId()` Returns the sessionId and a default sessionId if no sessionId assigned.
`long` | `getTin()`
`long` | `getTout()`
`long` | `getTraceId()`
`int` | `hashCode()`
`boolean` | `isAssumed()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_SESSION_ID

    public static final String NO_SESSION_ID

  This constant marks that an execution has no session ID.

  See Also:
    Constant Field Values

Constructor Detail

### Execution

    public Execution(Operation op,
                     AllocationComponent allocationComponent,
                     long traceId,
                     String sessionId,
                     int eoi,
                     int ess,
                     long tin,
                     long tout,
                     boolean assumed)

  Creates a new Execution instance.

  Parameters:
    `op` - The operation of the execution.
    `allocationComponent` - The allocation component.
    `traceId` - The ID of the trace.
    `sessionId` - The ID of the session.
    `eoi` - The execution order index.
    `ess` - The execution stack size.
    `tin` - The timestamp the execution started.
    `tout` - The timestamp the execution finished.
    `assumed` - Determines whether the execution is assumed or not.

### Execution

    public Execution(Operation op,
                     AllocationComponent allocationComponent,
                     long traceId,
                     int eoi,
                     int ess,
                     long tin,
                     long tout,
                     boolean assumed)

  Creates a new Execution instance. The sessionId is set to a default value.

  Parameters:
    `op` - The operation of the execution.
    `allocationComponent` - The allocation component.
    `traceId` - The ID of the trace.
    `eoi` - The execution order index.
    `ess` - The execution stack size.
    `tin` - The timestamp the execution started.
    `tout` - The timestamp the execution finished.
    `assumed` - Determines whether the execution is assumed or not.

Method Detail

### getAllocationComponent

    public final AllocationComponent getAllocationComponent()

### getEoi

    public final int getEoi()

### getEss

    public final int getEss()

### getOperation

    public final Operation getOperation()

### getSessionId

    public final String getSessionId()

  Returns the sessionId and a default sessionId if no sessionId assigned. The return value won't be null.

  Returns:
    the sessionId.

### getTin

    public final long getTin()

### getTout

    public final long getTout()

### getTraceId

    public final long getTraceId()

### isAssumed

    public boolean isAssumed()

### equals

    public boolean equals(Object obj)

  Compares this `Execution` with the given object with respect to type and fields. All fields but the `isAssumed()` are considered for comparison.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - The object to be compared with this instance.
  Returns:
    true if and only if the current object and the given object have equal values.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net